/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLHeadingElement_H__
#define __GdomHTMLHeadingElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLHeadingElement GdomHTMLHeadingElement;
typedef struct _GdomHTMLHeadingElementClass GdomHTMLHeadingElementClass;


#define GDOM_TYPE_HTML_HEADING_ELEMENT            (gdom_html_heading_element_get_type())
#define GDOM_HTML_HEADING_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_HEADING_ELEMENT, GdomHTMLHeadingElement))
#define GDOM_HTML_HEADING_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_HEADING_ELEMENT, GdomHTMLHeadingElement)Class)
#define GDOM_IS_HTML_HEADING_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_HEADING_ELEMENT))
#define GDOM_IS_HTML_HEADING_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_HEADING_ELEMENT))
#define GDOM_HTML_HEADING_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_HEADING_ELEMENT, GdomHTMLHeadingElementClass))

typedef struct _GdomHTMLHeadingElementPrivate GdomHTMLHeadingElementPrivate;

struct _GdomHTMLHeadingElement {
    GdomHTMLElement parent_instance;
    GdomHTMLHeadingElementPrivate *priv;
};

struct _GdomHTMLHeadingElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_heading_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLHeadingElement_H__ */
